/* 
 *  GGI/DM common drawmap functions
 *
 *  Copyright (c) 1999 Nicolai Haehnle - Locinga@pfaffenwinkel.de
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#define DEBUG		1

#include <ggi/internal/dm_int.h>


ggidm_drawmap ggiDMGetVisibleDrawmap(ggi_visual_t vis, int frame)
{
	dmext *hook = LIBGGI_DMEXT(vis);
	ggidm_drawmap dm;
	
	GGIDPRINT("ggiDMGetVisibleDrawmap(%p, %i) called\n", vis, frame);
	
	dm = hook->fchain;
	if (!dm) {
		return 0;
	}
	while(frame) {
		dm = dm->next;
		frame--;
	}
	
	GGIDPRINT("Found drawmap %p (flags=%08X)\n", dm, dm->flags);
	
	return dm;
}

